#!/usr/local/bin/python
# -*- coding: utf-8 -*-

# Copyright (c) Böcherer Angewandte Informatik (www.bai.de)
# example for a CGI script to integrate SendXMS into a WEB server

import os, sys, re, cgi, subprocess

ini = {}
groups = []
devices = []
providers = []
phonebook = []

# open/read a given file in Windows Ini file format
class IniFile():
   def __init__(self, filename):
      try:
         self.chapter = ''
         self.f = open(filename, 'rb')
         bom = self.f.read(3)
         if ((bom[0] != 0xEF) or (bom[2] != 0xBB) or (bom[3] != 0xBF)): # it is not UTF-8
            self.f.seek(0)
      except:
         self.f = None
         pass

   def ___del___(self):
      self.close()
   def close(self):
      try:
         self.f.close()
         self.f = None
      except:
         pass
   def read(self):
      line = ''
      value = key = ''
      while (line == ''):
         line = self.f.readline()
         if (line != ''):
            line = line.rstrip()
            line = re.sub(';.*$', '', line)
            line = re.sub('^\s+', '', line)
            line = re.sub('\s+$', '', line)
         else:                      # EOF
            return None
         if (len(line) > 0):
            if ((line[0] == '[') and (line[-1] == ']')):
               # new chapter
               self.chapter = line[1:-1]
               self.chapter = re.sub('^\s+', '', self.chapter)
               self.chapter = re.sub('\s+$', '', self.chapter)
               self.chapter = self.chapter.lower()
               key = ''
               value = ''
               return {'chapter':self.chapter, 'key':key, 'value':value}
            else:
               # key=value pair
               p = line.split('=', 2)  #split line in key - value pairs
               if (len(p) == 2):
                  key = p[0]
                  value = p[1]
                  key = re.sub('^\s+', '', key)
                  key = re.sub('\s+$', '', key)
                  value = re.sub('^\s+', '', value)
                  value = re.sub('\s+$', '', value)
                  return {'chapter':self.chapter, 'key':key, 'value':value}
               else:
                  line = ''
      return None


# print header for a HTML document
def PrintHeader(what):
   rc = ''
   rc += 'Content-type: text/html\n\n'
   rc += '<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\n'
   if (ini.get('language', '') == 'german'):
      rc += '<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"de\" lang=\"de\">\n'
   else:
      rc += '<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"en\" lang=\"en\">\n'
   rc += '<head>\n'
   rc += '<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/>\n'
   rc += '<title>SendXMS</title>\n'
   rc += '<script type=\"text/javascript\">\n'
   rc += '<!--\n/* <![CDATA[ */\n'
   rc += 'function SetFocus() {\n'
   if (what == 0): # Formular
      rc += '   if (document.forms[\"SendXMS\"].elements[\"addrtype0\"].checked == true)\n'
      rc += '      document.forms[\"SendXMS\"].elements[\"phone\"].focus();\n'
      rc += '   else if ((document.forms[\"SendXMS\"].elements[\"addrtype1\"] != null) && (document.forms[\"SendXMS\"].elements[\"addrtype1\"].checked == true))\n'
      rc += '      document.forms[\"SendXMS\"].elements[\"phonebook\"].focus();\n'
      rc += '   else if ((document.forms[\"SendXMS\"].elements[\"addrtype2\"] != null) && (document.forms[\"SendXMS\"].elements[\"addrtype2\"].checked == true))\n'
      rc += '      document.forms[\"SendXMS\"].elements[\"group\"].focus();\n'
   elif (what == 1):  # SendXMS output
      rc += '   document.forms[\"SendXMS\"].elements[\"button\"].focus();\n'
   elif (what == 2):  # Error
      rc += '   document.forms[\"SendXMS\"].elements[\"button\"].focus();\n'
   rc += '}\n'
   if (what == 0): # Formular
      rc += '\nfunction ChkValues() {\n'
      rc += '   var flag = Boolean;\n\n'
      rc += '   flag = false;\n'
      rc += '   if ((document.forms[\"SendXMS\"].elements[\"addrtype0\"].checked == true) && (document.forms[\"SendXMS\"].elements[\"phone\"].value.length > 0))\n'
      rc += '      flag = true;\n'
      rc += '   else if ((document.forms[\"SendXMS\"].elements[\"addrtype1\"] != null) && (document.forms[\"SendXMS\"].elements[\"addrtype1\"].checked == true) && (document.forms[\"SendXMS\"].elements[\"phonebook\"].value.length > 0))\n'
      rc += '      flag = true;\n'
      rc += '   else if ((document.forms[\"SendXMS\"].elements[\"addrtype2\"] != null) && (document.forms[\"SendXMS\"].elements[\"addrtype2\"].checked == true) && (document.forms[\"SendXMS\"].elements[\"group\"].value.length > 0))\n'
      rc += '      flag = true;\n'
      rc += '   if (flag == false)\n'
      if (ini.get('language', '') == 'german'):
         rc += '      window.alert(\'Kein Empfänger angegeben!!\');\n'
      else:
         rc += '      window.alert(\'No recipient specified!!\');\n'
      rc += '   else {\n'
      rc += '      flag = false;\n\n'
      rc += '      if (document.forms[\"SendXMS\"].elements[\"sms\"].value.length > 0)\n'
      rc += '         flag = true;\n'
      rc += '      if (flag == false)\n'
      if (ini.get('language', '') == 'german'):
         rc += '         window.alert(\'Keine Nachricht angegeben!!\');\n'
      else:
         rc += '         window.alert(\'No message specified!!\');\n'
      rc += '   }\n'
      rc += '   return (flag);\n'
      rc += '}\n'
   rc += '/* ]]> */\n-->\n'
   rc += '</script>\n'
   rc += '</head>\n'
   rc += '<body onload=\"SetFocus()\">\n'
   return rc

# print footer for a HTML document
def PrintFooter():
   rc = ''
   rc += '<p align=\"right\" style=\"font-size: 9pt;\">\n'
   rc += '&copy; BAI - Böcherer Angewandte Informatik\n'
   rc += '</p>\n'
   rc += '<hr/>\n'
   rc += '<table border=\"0\" width=\"100%\">\n'
   rc += '   <tr>\n'
   rc += '      <td valign=\"top\" align=\"left\">\n'
   rc += '         <address>\n'
   rc += '            <strong>BAI - Böcherer&nbsp;Angewandte&nbsp;Informatik</strong><br />\n'
   rc += '            Dipl.-Inform. Wolfgang Böcherer - CEO<br />\n'
   rc += '            Kaiserallee&nbsp;99<br />\n'
   rc += '            76185&nbsp;Karlsruhe, Germany<br />\n'
   rc += '         </address>\n'
   rc += '      </td>\n'
   rc += '      <td valign=\"top\" align=\"right\">\n'
   rc += '            Tel:&nbsp;+49&nbsp;721&nbsp;8304330<br />\n'
   rc += '            Fax:&nbsp;+49&nbsp;721&nbsp;8304333<br />\n'
   rc += '            Email:&nbsp;<a href=\"mailto:info\@bai.de\" onmouseover=\"window.status=\'mail us your comments\'; return true;\">info\@bai.de</a><br />\n'
   rc += '            WWW:&nbsp;<a href=\"https://www.bai.de\" onmouseover=\"window.status=\'Homepage - Böcherer Angewandte Informatik\'; return true;\">https://www.bai.de</a>\n'
   rc += '      </td>\n'
   rc += '   </tr>\n'
   rc += '</table>\n'
   rc += '</body>\n'
   rc += '</html>\n'
   return rc

# print Error page
def Error(errMsg):
   rc = PrintHeader(2)
   rc += '<h3>ERROR!!!</h3>' + errMsg + '<br />\n'
   rc += '<script type=\"text/javascript\">\n'
   rc += '<!--\n/* <![CDATA[ */\n'
   rc += 'document.write (\"<form id=\\\"SendXMS\\\">\\n<p align=\\\"center\\\">\\n\");\n'
   if (ini.get('language', '') == 'german'):
      rc += 'document.write (\"<input id=\\\"button\\\" type=\\\"button\\\" value=\\\"Zur&uuml;ck\\\" onClick=\\\"history.back()\\\">\\n\");\n'
   else:
      rc += 'document.write (\"<input id=\\\"button\\\" type=\\\"button\\\" value=\\\"Back\\\" onClick=\\\"history.back()\\\">\\\n\");\n'
   rc += 'document.write (\"<\\/form>\\n\");\n'
   rc += '/* ]]> */\n-->\n'
   rc += '</script>\n'
   rc += PrintFooter()
   print(rc)



try:
   form = cgi.FieldStorage()

   # read sendxms.ini
   iniFile = IniFile('sendxms.ini')
   if (iniFile != None):
      line = ''
      while (line != None):
         line = iniFile.read()
         if (line != None):
            if (line.get('chapter', '') == 'sendxms'):
               if ((line.get('key', '') != '') and (line.get('value', '') != '')):
                  ini[line.get('key')] = line.get('value')
            elif (line.get('chapter') == 'groups'):
               if ((line.get('key', '') != '') and (line.get('value', '') != '')):
                  groups.append({'alias':line.get('key'), 'file':line.get('value')})
      iniFile.close()
   else:
      if (ini.get('language', '') == 'german'):
         Error('Kein Zugriff auf Datei \'sendxms.ini\'!')
      else:
         Error('can\'t open the file \'sendxms.ini\'!')

   if ((os.environ.get('PATH_INFO', '') == '/send') or (os.environ.get('PATH_INFO', '') == os.environ.get('SCRIPT_NAME', '') + '/send')):
      # generate and execute SendXMS command
      cmd = ini.get('sendxms', '')
      cmd += ' --Utf8IO'
      if (ini.get('config', '') != ''):
         cmd += ' -c' + ini.get('config')
      if (ini.get('provider', '') != ''):
         cmd += ' -r' + ini.get('provider')
      if (ini.get('phonebook', '') != ''):
         cmd += ' -b' + ini.get('phonebook')
      if (ini.get('userexit', '') != ''):
         cmd += ' -u' + ini.get('userexit')
      if (form.getvalue('verbose', '') == '1'):
         cmd += ' -v'
      if (form.getvalue('spool', '') == 'spool'):
         cmd += ' -s'
      else:
         if (form.getvalue('spool', '') == 'send'):
            cmd += ' -n'
      if (form.getvalue('originator', '') != ''):
         cmd += ' -o' + form.getvalue('originator')
      if ((form.getvalue('device', '') != '') and (form.getvalue('device') != '(auto)')):
         cmd += ' -d' + form.getvalue('device')
      if (form.getvalue('addrtype', '') == 'phone'):
         if (form.getvalue('phone', '') == ''):
            if (ini.get('language', '') == 'german'):
               Error('Kein Empfänger angegeben!!')
            else:
               Error('No recipient specified!!')
         if ((form.getvalue('provider', '') == '') and (form.getvalue('provider') != '(auto)')):
            cmd += ' -p' + form.getvalue('provider')
         cmd += ' ' + form.getvalue('phone', '')
      elif (form.getvalue('addrtype', '') == 'phonebook'):
         if (form.getvalue('phonebook', '') == ''):
            if (ini.get('language', '') == 'german'):
               Error('Kein Empfänger angegeben!!')
            else:
               Error('No recipient specified!!')
         keyValue = form.getvalue('phonebook').split(';', 2)
         cmd += ' -p' + keyValue[0]
         cmd += ' ' + keyValue[1]
      elif (form.getvalue('addrtype', '') == 'group'):
         if (form.getvalue('group', '') == ''):
            if (ini.get('language', '') == 'german'):
               Error('Kein Empfänger angegeben!!')
            else:
               Error('No recipient specified!!')
         cmd += ' -g' + form.getvalue('group')
      if (form.getvalue('sms', '') == ''):
         if (ini.get('language', '') == 'german'):
            Error('Keine Nachricht angegeben!!')
         else:
            Error('No message specified!!')
      cmd += ' "' + re.sub('"', '\\"', form.getvalue('sms', '')) + '"'
      rc = PrintHeader(1)
      if (ini.get('language', '') == 'german'):
         rc += '<b><i>SendXMS</i></b> wird aufgerufen, bitte warten...<p />\n'
      else:
         rc += '<b><i>SendXMS</i></b> will be executed, please wait...<p />\n'
      if (os.environ.get('SERVER_PROTOCOL', '') != ''):
         os.environ['SERVER_PROTOCOL'] = 'HTTP/1.0'
      p = subprocess.Popen(cmd, shell=True, stdout=subprocess.PIPE)
      rc += '<pre>\n' + cgi.escape(p.stdout.read()) + '</pre>\n'
      rc += '<form id=\"SendXMS\" action=\"' + os.environ.get('SCRIPT_NAME', '') + '\">\n<p align=\"center\">\n'
      if (ini.get('language', '') == 'german'):
         rc += '<input id=\"button\" type=\"submit\" value=\"Neue Nachricht\" />\n'
      else:
         rc += '<input id=\"button\"  type=\"submit\" value=\"new message\" />\n'
      rc += '</p>\n</form>'
   else:
      # read .cfg file
      if (ini.get('config', '') != ''):
         iniFile = IniFile(ini.get('config'))
         if (iniFile != None):
            line = ''
            while (line != None):
               line = iniFile.read()
               if (line != None):
                  if ((line.get('chapter', '') == 'device') and (line.get('key', '') == 'name') and (line.get('value', '') != '')):
                     if (not line.get('chapter') in devices):
                        devices.append(line.get('value'))
            iniFile.close()
         else:
            if (ini.get('language', '') == 'german'):
               Error('Kein Zugriff auf Datei \'' + ini.get('config') + '\'!')
            else:
               Error('can\'t open the file \'' + ini.get('config') + '\'!')

      # read .pro file
      if (ini.get('provider', '') != ''):
         iniFile = IniFile(ini.get('provider'))
         if (iniFile != None):
            line = ''
            while (line != None):
               line = iniFile.read()
               if (line != None):
                  if ((line.get('chapter', '') != '') and (line.get('key', '') == '') and (line.get('value', '') == '')):
                     if (not line.get('chapter') in providers):
                        providers.append(line.get('chapter'))
            iniFile.close()
         else:
            if (ini.get('language', '') == 'german'):
               Error('Kein Zugriff auf Datei \'' + ini.get('config') + '\'!')
            else:
               Error('can\'t open the file \'' + ini.get('config') + '\'!')

      # read .pbk file
      if (ini.get('phonebook', '') != ''):
         iniFile = IniFile(ini.get('phonebook'))
         if (iniFile != None):
            line = ''
            while (line != None):
               line = iniFile.read()
               if (line != None):
                  if ((line.get('chapter', '') != '') and (line.get('chapter', '') != '*') and (line.get('key', '') != '') and (line.get('value', '') != '')):
                     phonebook.append({'alias':line.get('key'), 'provider':line.get('chapter')})
            iniFile.close()
         else:
            if (ini.get('language', '') == 'german'):
               Error('Kein Zugriff auf Datei \'' + ini.get('config') + '\'!')
            else:
               Error('can\'t open the file \'' + ini.get('config') + '\'!')

      # generate HTML form
      rc = PrintHeader(0)

      rc += '<form id=\"SendXMS\" method=\"post\" action=\"' + os.environ.get('SCRIPT_NAME', '') + '/send\" onsubmit=\"return(ChkValues())\">\n'
      rc += '<table width=\"100%\" border=\"0\">\n'
      rc += '<tr><td>\n'
      if (ini.get('language', '') == 'german'):
         rc += '<b>Absender:</b>\n'
      else:
         rc += '<b>Originator:</b>\n'
      rc += '<input type=\"text\" id=\"originator\" name=\"originator\" value=\"\"'
      if (os.environ.get('REMOTE_USER', '') != ''):
         rc += os.environ.get('REMOTE_USER')
         if (os.environ.get('REMOTE_HOST', '') != ''):
            rc += '@' + os.environ.get('REMOTE_HOST')
      rc += '\" size=\"30\" />\n'
      rc += '\n'
      rc += '</td><td align=\"right\">\n'
      rc += '<span style=\"font-size: 14pt;\"><b><i>SendXMS</i></b></span><sup>&reg;</sup>\n'
      rc += '</td></tr>\n'
      rc += '</table><br />\n'
      if (ini.get('language', '') == 'german'):
         rc += '<b>Empfänger:</b><br />\n'
      else:
         rc += '<b>Receiver:</b><br />\n'
      rc += '<table border=\"1\" width=\"100%\" style=\"border-collapse: collapse;\">\n'
      rc += '<tr><td>\n'
      rc += '<input type=\"radio\" checked=\"checked\" name=\"addrtype\" id=\"addrtype0\" value=\"phone\" />'
      if (ini.get('language', '') == 'german'):
         rc += ' Telefonnummer\n'
      else:
         rc += ' phone number\n'
      rc += '</td><td>\n'
      rc += '<input type=\"text\" id=\"phone\" name=\"phone\" value=\"\" size=\"30\" />'
      if (ini.get('language', '') == 'german'):
         rc += ' Telefonnummer<br />\n'
      else:
         rc += ' phone number<br />\n'
      rc += '<select id=\"provider\" name=\"provider\" size=\"1\">\n'
      rc += '<option selected=\"selected\">(auto)</option>\n'
      for i in range(len(providers)):
         rc += '<option>' + providers[i] + '</option>\n'
      if (ini.get('language', '') == 'german'):
         rc += '</select> Provider\n'
      else:
         rc += '</select> provider\n'
      rc += '</td></tr>\n'
      if (len(phonebook) > 0):
         rc += '<tr><td>\n'
         rc += '<input type=\"radio\" name=\"addrtype\" id=\"addrtype1\" value=\"phonebook\" />'
         if (ini['language'] == 'german'):
            rc += ' Telefonbuch\n'
         else:
            rc += ' phonebook\n'
         rc += '</td><td>\n'
         rc += '<select id=\"phonebook\" name=\"phonebook\" size=\"1\">\n'
         for i in range(len(phonebook)):
            rc += '<option value=\"' + phonebook[i]['provider'] + ';' + phonebook[i]['alias'] + '"\">' + phonebook[i]['alias'] + ' [' + phonebook[i]['provider'] + ']</option>\n'
         rc += '</select>\n'
         rc += '</td></tr>\n'
      if (len(groups) > 0):
         rc += '<tr><td>\n'
         rc += '<input type=\"radio\" name=\"addrtype\" id=\"addrtype2\" value=\"group\" />'
         if (ini['language'] == 'german'):
            rc += ' Gruppe\n'
         else:
            rc += ' group\n'
         rc += '</td><td>\n'
         rc += '<select id=\"group\" name=\"group\" size=\"1\">\n'
         for i in range(len(groups)):
            rc += '<option value=\"' + groups[i]['file'] + '\">' + groups[i]['alias'] + '</option>\n'
         rc += '</select>\n'
         rc += '</td></tr>\n'
      rc += '</table>\n'
      rc += '<br />\n'
      if (ini.get('language', '') == 'german'):
         rc += '<b>Nachricht:</b><br />\n'
      else:
         rc += '<b>Message:</b><br />\n'
      rc += '<table border=\"1\" width=\"100%\" style=\"border-collapse: collapse;\">\n'
      rc += '<tr>\n'
      rc += '<td>\n'
      rc += '<textarea id=\"sms\" name=\"sms\" rows=\"3\" cols=\"60\"></textarea>\n'
      rc += '</td></tr>\n'
      rc += '</table>\n'
      rc += '<br />\n'
      if (ini.get('language', '') == 'german'):
         rc += '<b>Optionen:</b> (für Experten)<br />\n'
      else:
         rc += '<b>Options: (for experts)</b><br />\n'
      rc += '<table width=\"100%\" border=\"0\">\n'
      rc += '<tr><td>\n'
      rc += '<input type=\"checkbox\" id=\"verbose\" name=\"verbose\" value=\"1\" />verbose -- '
      if (ini.get('language', '') == 'german'):
         rc += '<select id=\"spool\" name=\"spool\" size=\"1\" title=\"Nachricht spoolen oder direkt versenden\">\n'
      else:
         rc += '<select id=\"spool\" name=\"spool\" size=\"1\" title=\"send or spool the message\">\n'
      rc += '<option selected=\"selected\" value=\"(auto)\" >(auto)</option>\n'
      if (ini.get('language', '') == 'german'):
         rc += '<option value=\"send\">senden</option>\n'
         rc += '<option value=\"spool\">spoolen</option>\n'
      else:
         rc += '<option value=\"send\">send</option>\n'
         rc += '<option value=\"spool\">spool</option>\n'
      rc += '</select>\n'
      if (len(devices) > 1):
         if (ini['language'] == 'german'):
            rc += ' -- <select id=\"devices\" name=\"devices\" title=\"Gerät auswählen\"size=\"1\">\n'
         else:
            rc += ' -- <select id=\"devices\" name=\"devices\" title=\"select a device to use\"size=\"1\">\n'
         rc += '<option selected=\"selected\">(auto)</option>\n'
         for i in range(len(devices)):
            rc += '<option>' + devices[i] + '</option>\n'
      rc += '</td><td align=\"right\">\n'
      if (ini.get('language', '') == 'german'):
         rc += '<input type=\"submit\" id=\"Send\" value=\"Ausführen\" />\n'
         rc += '<input type=\"reset\" value=\"Löschen\" />\n'
      else:
         rc += '<input type=\"submit\" id=\"Send\" value=\"Execute\" />\n'
         rc += '<input type=\"reset\" value=\"Reset\" />\n'
      rc += '</td></tr>\n'
      rc += '</table>\n'
      rc += '</form>\n'
   rc += PrintFooter()
   print(rc)
finally:
   pass

