import java.util.Hashtable;
import java.io.BufferedReader;
import java.io.StringReader;

/*************************************************************
 Copyright (c) Böcherer Angewandte Informatik (www.bai.de)
 Example for an userexit with UserexitVersion=5
 Compile with 'javac userexit.java'
 Put userexit.class into your installation directory
 use the command line parameter '-ujava@userexit@Userexit'
 set in sendxms.cfg in [Java] libjvm= to the correct path (something like libjvm.so or jvm.dll)
 *************************************************************/

public class userexit {
   String changedXms = null;  // if (and only if) you want to return any changes in the spool file, then assign tis variable a new String containing these changes


/*************************************************************
 escape message text (replace \ with \\, CR with \n, ...
 *************************************************************/
   private String EscapeMsgText (String xms) {
      xms = xms.replace ("\\", "\\\\");
      xms = xms.replace ("\n", "\\n");
      xms = xms.replace ("\r", "\\r");
      xms = xms.replace ("\t", "\\t");
      return (xms);
   }

/*************************************************************
 unescape message text (replace \\ with \, \n with CR, ...
 *************************************************************/
   private String UnEscapeMsgText (String xms) {
      xms = xms.replaceAll ("(((\\\\\\\\)+)|([^\\\\])|^)(\\\\n)", "$1\n");
      xms = xms.replaceAll ("(((\\\\\\\\)+)|([^\\\\])|^)(\\\\r)", "$1\r");
      xms = xms.replaceAll ("(((\\\\\\\\)+)|([^\\\\])|^)(\\\\t)", "$1\t");
      xms = xms.replace ("\\\\", "\\");
      return (xms);
   }

/*************************************************************
 convert the spool file into a hashtable
 *************************************************************/
   private int ReadSpoolFile (Hashtable<String, String> spool, String xms) {
      BufferedReader reader = new BufferedReader (new StringReader (xms));
      String line, key, value;
      int i, rc = 0;

      try {
         while ((line = reader.readLine ().trim ()) != null) {
            if (line.startsWith (";") == false) {  //if line starts with a ';' it is a comment
               if (spool.get ("chapter") == null) {   //at first there must be a provider (chapter)
                  if ((line.startsWith ("[") == true) && (line.endsWith ("]") == true))
                     spool.put ("chapter", line.substring (1, line.length () - 1));
               } else {
                  if ((i = line.indexOf ("=")) >= 0) {   //split line in key - value pairs
                     key = line.substring (0, i).trim ().toLowerCase ();
                     value = line.substring (i + 1);
                  } else {
                     key = new String (line).trim ().toLowerCase ();
                     value = null;
                  }
                  spool.put (key, value);
               }
            }
         }
      } catch (Exception e) {
         rc = -1;
      }
      return (rc);
   }

   public int Userexit (int cause, String xms) {
      Hashtable<String, String> spool = new Hashtable<String, String>();

      switch (cause) {
      case 1:  // message has been submitted
         ReadSpoolFile (spool, xms);
         System.out.println ("message " + spool.get ("msgid") + " sent: " + spool.get ("originatingaddress") + ", " + spool.get ("phone") + ", " + spool.get ("xms"));
         break;
      case 2:  // message has been received
         ReadSpoolFile (spool, xms);
         System.out.println ("message " + spool.get ("msgid") + " received: " + spool.get ("originatingaddress") + ", " + spool.get ("phone") + ", " + spool.get ("xms"));
         break;
      case 3:  // status report or deliver notification has been received
         ReadSpoolFile (spool, xms);
         System.out.println ("status/notification for " + spool.get ("msgid") + " received: " + spool.get ("originatingaddress") + ", " + spool.get ("phone") + ", " + spool.get ("xms"));
         break;
      case 4:  // delete request has been submitted
         ReadSpoolFile (spool, xms);
         System.out.println ("message " + spool.get ("msgid") + " deleted: " + spool.get ("originatingaddress") + ", " + spool.get ("phone") + ", " + spool.get ("xms"));
         break;
      case 8:  // MMS-Notification has been received (a MMS should be fetched)
         ReadSpoolFile (spool, xms);
         try {
            Runtime.getRuntime ().exec ("./sendxms -s -aReceive -d" + spool.get ("useddevice") + " -o" + spool.get ("transactionid") + " -p" + spool.get ("mmsprovidertouse") + " " + spool.get ("addinfo"));
         } catch (Exception e) {}
         System.out.println ("fetch request for " + spool.get ("addinfo") + " spooled");
         break;
      case -1: // any error has been occured
         ReadSpoolFile (spool, xms);
         System.out.println ("message marked as unsent: " + spool.get ("originatingaddress") + ", " + spool.get ("phone") + ", " + spool.get ("xms"));
         break;
      default:
         break;
      }
      spool.clear ();
      return (0);
   }
}
