/* Copyright (c) Böcherer Angewandte Informatik (www.bai.de) */
/* example for a hash table to use with  SendXMS userexit    */

/* disassembles the given source with the given len (spool file format) and creates a hash table */
void* xmsHashAlloc (char *source, int len);

/* frees all resources of the given hash table */
void* xmsHashFree (void *_hash);

/* adds the given key-value pair to the hash table; if the key already exists the value will be replaced */
int xmsHashAdd (void *_hash, char *key, char *value);

/* deletes a given key from the hash table */
int xmsHashDelete (void *_hash, char *key);

/* searches the given key in the hash table and returns the value */
char* xmsHashGet (void *_hash, char *key);

/* walks through the complete hash table and calls for each key-value pair the given callback */
void xmsHashIterate (void *_hash, void (*callback) (char*, char*));
