; encoding=UTF-8
; !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
; Please remove all unused provider-definitions,
; especially if you are using a GSM module/card you have to remove all
; providers not concerning to your SIM.
; !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
; If someone has configurations for additional providers, then please
; send us the data to put it into that file.
; !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
; MMS and other provider definitions can be found at the end of this file
; !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


; !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
; SMS large account examples
; !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

;[UCP_X31]                    ; example for a provider using UCP over X.31
                              ; complete the empty fields with the setting you get from your provider
;Phone=<phone>
;;autoconnect=2
;ProtocolTimeout=5
;LineType=X.31
;Protocol=UCP[51]
;UseOToA=true
;Prefix=+49151
;Prefix=+49160
;Prefix=+49170
;Prefix=+49171
;Prefix=+49175
;MsgType=ALPHANUMERIC
;MsgLen=160
;;UseUCP60=true                 ; if session managment is used
;;UCP60Password=<password>      ; if password option is used
;;UserId=<large account>
;;Detach=ALL                  ; only required for permanent connections
;;KeepAlive=300               ; only required for permanent connections

;[SMPP]                       ; example for a provider using SMPP over TCP/IP
                              ; complete the empty fields with the setting you get from your provider
;Address=a.b.c.d port
;OriginatingAddress=
;SystemId=
;SystemType=
;Password=
;AddressRange=
;ProtocolTimeout=5
;LineType=TCP
;Protocol=SMPP
UseAlwaysTransceiver=True        ; use only with SMPP 3.4 or above if the SMSC accepts only BIND_TRANSCEIVER (and only in this case)
;MsgLen=160
;Prefix=+49157
;Prefix=+49163
;Prefix=+49177
;Prefix=+49178
;Priority=true                   ; required for Eplus
;;Detach=ALL                     ; only required for permanent connections
;;ProtocolVersion=3.3
;;KeepAlive=300                  ; only required for permanent connections

;[ONEAPI_out]                 ; example for a provider using OneAPI over TCP/IP (outgoing messages)
                              ; complete the empty fields with the setting you get from your provider
;Address=a.b.c.d 4321
;URI=a.b.c.d
;UserId=
;Password=
;OriginatingAddress=
;ProtocolTimeout=5
;LineType=TCP
;Protocol=ONEAPI_SMS
;NotifyURL=http://my.ip.com:1234/SendXMS/ONEAPI_in
;Detach=SEND

;[ONEAPI_in]                 ; example for a provider using OneAPI over TCP/IP (incoming messages)
                             ; complete the empty fields with the setting you get from your provider
;Address=my.ip.com 1234
;UserId=
;Password=
;OriginatingAddress=
;ProtocolTimeout=5
;LineType=TCP
;Protocol=ONEAPI_SMS
;NotifyURL=http://my.ip.com:1234/SendXMS/ONEAPI_in
;Detach=AcceptXME

;[CIMD]                       ; example for a provider using CIMD over TCP/IP
                              ; complete the empty fields with the setting you get from your provider
;Address=a.b.c.d port
;UserId=
;Password=
;OriginatingAddress=
;ProtocolTimeout=5
;LineType=TCP
;Protocol=CIMD
;MsgLen=160
;;Detach=ALL                     ; only required for permanent connections
;;KeepAlive=300                  ; only required for permanent connections

;[OIS]                       ; example for a provider using OIS over X.25
                             ; complete the empty fields with the setting you get from your provider
;Address=
;LineType=X.25
;Protocol=OIS
;;Protocol=OIS[Direct]
;ProtocolTimeout=5
;OriginatingAddress=
;;UserId=                  ; use only if logging in from an alternate location is required
;;Password=
;;Prefix=+49xxx
;;Detach=ALL                     ; only required for permanent connections
;;KeepAlive=300                  ; only required for permanent connections

; !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
; SMS provider definitions
; !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

;[Twitter]                     ; example for using Twitter (Status update)
;ProtocolTimeout=5
;Address=twitter.com 80
;URI=/statuses/update.xml
;LineType=TCP
;Protocol=HTTP [POST]
;MsgLen=140
;UserId=xyz
;Password=xyz
;MapUserValue=XMS|status
;MapUserValue=Phone|/dev/null
;MapUserValue=OriginatingAddress|/dev/null
;MapUserValue=DCS|/dev/null
;MapUserValue=StatusReportRequest|/dev/null
;MapUserValue=TariffClass|/dev/null
;MapUserValue=ValidityPeriod|/dev/null
;MapUserValue=DeferredDelivery|/dev/null
;MapUserValue=UDH|/dev/null
;ErrorFilter=#(.*)<error>(.*)</error>(.*)#\2#i
;OkFilter=#(.*)<status>(.*)</status>(.*)#\2#i
;MsgIdFilter=#<id>([0-9,A-F]*)</id>#\1#i

;[smstrade]                 ; example for SMS over HTTP (proprietary)
;ProtocolTimeout=5
;Address=gateway.smstrade.de 80
;LineType=TCP
;Protocol=HTTP
;URI=/
;MsgLen=160
;KeepAlive=10
;Password=xxx
;TariffClass=basic
;MapUserValue=XMS|message
;MapUserValue=Password|key
;MapUserValue=Phone|to
;MapUserValue=OriginatingAddress|from
;MapUserValue=ValidityPeriod|/dev/null
;MapUserValue=DeferredDelivery|/dev/null
;MapUserValue=TariffClass|route
;NoHttpAuthentication=true
;AdcOutFilter=/^(\+|00)([0-9]*)/\2/
;AdcOutFilter=/^(0)([0-9]*)/49\2/
;oAdcOutFilter=/^(\+|00)([0-9]*)/\2/
;oAdcOutFilter=/^(0)([0-9]*)/49\2/
;okFilter=/^100$/\1/

[GSM]
Phone=<SIM>       ; do not replace the string <SIM>!!!
                  ; this forces usage of the SMSC address stored on the SIM card
Protocol=GSM
MsgLen=160
Prefix=*

[AnnyWay_UCP]
Phone=+4990032669002
Protocol=UCP[51]
LineType=ISDN
ProtocolTimeout=5
Prefix=+49
DataOverVoip=True

[AnnyWay]            ; Festnetz
Phone=+499003266900
Protocol=ES201912_1
LineType=ISDN
B1Protocol=64K-TRANS
B2Protocol=TRANS
B3Protocol=TRANS
CIP=TELEPHONY
ProtocolTimeout=5
Transtable=ctt/gsm.ctt
Prefix=+49
AdcOutFilter=/^(\+49|0049)([0-9]*)/0\2/
MaxMsg=1

[T-Com]            ; Festnetz
Phone=+49193010
Protocol=ES201912_1
LineType=ISDN
B1Protocol=64K-TRANS
B2Protocol=TRANS
B3Protocol=TRANS
CIP=TELEPHONY
ProtocolTimeout=5
Transtable=ctt/gsm.ctt
Prefix=+49
AdcOutFilter=/^(\+49|0049)([0-9]*)/0\2/
MaxMsg=1

[Festnetz]  ; für den Empfang von Festnetz-SMS von beiden Gateways
Phone=+499003266900 ; AnnyWay
Phone=+49193010     ; T-Com
Protocol=ES201912_1
LineType=ISDN
B1Protocol=64K-TRANS
B2Protocol=TRANS
B3Protocol=TRANS
CIP=TELEPHONY
ProtocolTimeout=5
Transtable=ctt/gsm.ctt

[CityRuf]
LineType=ISDN
Phone=+4916902
Prefix=+49164
Prefix=+49168
Prefix=+491691
AdcOutFilter=/^(\+49|0049|0)(164|168|1691)([0-9]*)/\3/
Protocol=TAP
Transtable=ctt/emessage.ctt
MsgLen=80
B2Protocol=X.75-SLP
MODEMINIT=                      ; requiers X.75
MaxMsg=1
DataOverVoip=True

[CityRuf]                       ; Germany
Phone=+4916902
Prefix=+49164
Prefix=+49168
Prefix=+491691
AdcOutFilter=/^(\+49|0049|0)(164|168|1691)([0-9]*)/\3/
PROTOCOL=TAP
Transtable=ctt/emessage.ctt
MsgLen=80
Baud=9600
MaxMsg=1

[CityRuf_NUM]
LineType=ISDN
Phone=+4916902
Prefix=+49164
Prefix=+49168
Prefix=+491691
AdcOutFilter=/^(\+49|0049|0)(164|168|1691)([0-9]*)/\3/
Protocol=TAP
Transtable=ctt/numeric.ctt
MsgLen=15
B2Protocol=X.75-SLP
MODEMINIT=                      ; requiers X.75
MsgType=NUMERIC
MaxMsg=1
DataOverVoip=True

[CityRuf_NUM]                   ; Germany
Phone=+4916902
Prefix=+49164
Prefix=+49168
Prefix=+491691
AdcOutFilter=/^(\+49|0049|0)(164|168|1691)([0-9]*)/\3/
MsgType=NUMERIC
PROTOCOL=TAP
Transtable=ctt/numeric.ctt
MsgLen=15
Baud=9600
MaxMsg=1

[CityRuf_TON]
LineType=ISDN
Phone=+4916902
Prefix=+49164
Prefix=+49168
Prefix=+491691
AdcOutFilter=/^(\+49|0049|0)(164|168|1691)([0-9]*)/\3/
Protocol=TAP
Transtable=/dev/null
MsgLen=1
B2Protocol=X.75-SLP
MODEMINIT=                      ; requiers X.75
MsgType=TONE
MaxMsg=1
DataOverVoip=True

[CityRuf_TON]
Phone=+4916902
Prefix=+49164
Prefix=+49168
Prefix=+491691
AdcOutFilter=/^(\+49|0049|0)(164|168|1691)([0-9]*)/\3/
MsgType=TONE
PROTOCOL=TAP
Transtable=/dev/null
MsgLen=1
Baud=9600
MaxMsg=1

[eMessage]
LineType=ISDN
Phone=+4916902
Prefix=+491699
AdcOutFilter=/^(\+49|0049)([0-9]*)/0\2/
Protocol=TAP
Transtable=ctt/emessage.ctt
MsgLen=160
B2Protocol=X.75-SLP
MODEMINIT=                      ; requiers X.75
PIN=                            ; !!!!!!!!!!!!!!!!!!!!!! angeben
Kennung=                        ; !!!!!!!!!!!!!!!!!!!!!! angeben
DataOverVoip=True

[Skyper]
LineType=ISDN
Phone=+491692&
Prefix=+491692
Prefix=+4916953
AdcOutFilter=/^(\+49|0049|0)(1692|16953)([0-9]*)/\3/
Protocol=SKYPER
Transtable=ctt/emessage.ctt
MsgLen=160
B2Protocol=X.75-SLP
B3Protocol=T.70NL
ModemInit=                      ; requiers X.75, T.70NL
;ModemInit=atS20=1 S21=1        ; for cFos
;ModemInit=AT&X2                ; for HiSax
MaxMsg=1
DataOverVoip=True

[Skyper]                        ; Germany
Phone=+491692&
Prefix=+491692
Prefix=+4916953
AdcOutFilter=/^(\+49|0049|0)(1692|16953)([0-9]*)/\3/
Protocol=SKYPER
Transtable=ctt/emessage.ctt
MsgLen=160
Baud=9600
MaxMsg=1
; configure the modem that XON/XOFF characters are not filtered

[AnnyWay_UCP]
Phone=+4990032669002
Protocol=UCP[51]
ProtocolTimeout=5
Prefix=+49

[T-Com_UCP]
Phone=+491930105
Protocol=ucp[51]
BAUD=9600
Databits=8
Stopbits=1
Parity=NONE
ProtocolTimeout=5
Prefix=+49

[T-Com_UCP]
Phone=+491930105
Protocol=ucp[51]
LineType=ISDN
ProtocolTimeout=5
Prefix=+49

[D1]                    ; T-Mobile Germany
Alias=T-Mobile
Alias=T-D1
LineType=ISDN
Phone=+491712521001		; ISDN
Phone=+49103301712521001	; ISDN
Protocol=TAPAIM
UseAimCharacterTranslation=true
Transtable=ctt/tapaim.ctt
Prefix=+49151
Prefix=+49160
Prefix=+49170
Prefix=+49171
Prefix=+49175
AdcOutFilter=/^(\+|00)([0-9]*)/\2/
AdcOutFilter=/^(0)([0-9]*)/49\2/
MsgLen=160
MaxMsg=7

[D1]                            ; T-Mobile Germany
Alias=T-Mobile
Alias=T-D1
Phone=+491712521002             ; Modem
Phone=+49103301712521002             ; Modem
Protocol=TAPAIM
UseAimCharacterTranslation=true
Transtable=ctt/tapaim.ctt
Prefix=+49151
Prefix=+49160
Prefix=+49170
Prefix=+49171
Prefix=+49175
AdcOutFilter=/^(\+|00)([0-9]*)/\2/
AdcOutFilter=/^(0)([0-9]*)/49\2/
MsgType=ALPHANUMERIC
MsgLen=160
MaxMsg=7

[D2]                          ; Vodafone Germany
Alias=Vodafone
LineType=ISDN
Phone=+491722278000           ; ISDN
Phone=+491722278010
Protocol=UCP[51]
Transtable=ctt/d2.ctt
Prefix=+49152
Prefix=+49162
Prefix=+49172
Prefix=+49173
Prefix=+49174
MsgLen=160
MsgDelay=1

[D2]                          ; Vodafone Germany
Alias=Vodafone
Phone=+491722278020           ; Modem
Protocol=UCP[51]
Transtable=ctt/d2.ctt
Prefix=+49152
Prefix=+49162
Prefix=+49172
Prefix=+49173
Prefix=+49174
MsgLen=160
; if your modem isn't set to V.42/LAPM you must specify a pause after CONNECT
WaitAfterConnect=2              ; normaly not required
;ModemInit=AT+ES=3               ; V.42/LAPM required

:EPlus servive seems to be stopped; use AnnyWay_UCP instead
;[EPlus]
;Alias=e-plus
;LineType=ISDN
;Phone=+491771167
;Protocol=TAPAIM
;Transtable=ctt/tap.eplus.ctt
;Prefix=+49155
;Prefix=+49157
;Prefix=+49163
;Prefix=+49177
;Prefix=+49178
;MsgLen=160
;MaxMsg=10

;[EPlus]                          ; Germany
:Alias=e-plus
:Phone=+491771167                 ; Modem
:Protocol=TAPAIM
;Transtable=ctt/tap.eplus.ctt
;Prefix=+49155
;Prefix=+49157
;Prefix=+49163
;Prefix=+49177
;Prefix=+49178
;MsgLen=160
;MaxMsg=10

:VIAG servive seems to be stopped; use AnnyWay_UCP instead
;[VIAG]      ; O2 Germany
:Alias=O2
;Phone=+491797673425
;Phone=+49109001797673425
;LineType=ISDN
;Protocol=TAPAIM
;ProtocolTimeout=35
;Transtable=ctt/tap.viag.ctt
;Prefix=+49159
;Prefix=+49176
;Prefix=+49179
;AdcOutFilter=/^(\+|00)([0-9]*)/\2/
;AdcOutFilter=/^(0)([0-9]*)/49\2/
;MsgLen=160
;MaxMsg=50

;[VIAG]      ; O2 Germany
;Alias=O2
;Phone=+49109001797673425
;Protocol=TAPAIM
;ProtocolTimeout=35
;Transtable=ctt/tap.viag.ctt
;Prefix=+49159
;Prefix=+49176
;Prefix=+49179
;AdcOutFilter=/^(\+|00)([0-9]*)/\2/
;AdcOutFilter=/^(0)([0-9]*)/49\2/
;MsgLen=160
;MaxMsg=50

[Link]                       ; Australia
Phone=+61738326002
MsgLen=160
Protocol=TAP

[Telstra]                       ; Australia
Phone=+6118018767
Baud=2400
Databits=7
Stopbits=1
Parity=EVEN
MsgLen=160
MaxMsg=1
Protocol=TAP
Password=mnmail
Prefix=+61407
Prefix=+61408
Prefix=+61409
Prefix=+61417
Prefix=+61418
Prefix=+61419

[Optus]                             ; Australia
Phone=+611800500491		
Protocol=TAP
Password=
Prefix=+61412
Prefix=+61411
MsgLen=160
Baud=9600

[HutchisonPaging]                       ; England
Phone=+447641100400
MsgLen=160
Protocol=TAP
Databits=7
Parity=EVEN
Stopbits=1
MaxMsg=1

[CellNet]                       ; England
Phone=+447860980480
Protocol=TAP
Baud=14400
Databits=8
Stopbits=1
Parity=NONE
MsgType=ALPHANUMERIC
MsgLen=160
Prefix=+4476
Prefix=+4477
Prefix=+4478
Prefix=+4479
MaxMsg=1

[OneToOne]                      ; England
Phone=+447958879889
Protocol=TAP
Databits=7
Stopbits=1
Parity=EVEN
Baud=14400
MsgType=ALPHANUMERIC
MsgLen=160
MaxMsg=1

[Orange]                        ; England
Phone=+447973100601
Protocol=TAP
MsgType=ALPHANUMERIC
MsgLen=160
MaxMsg=1
;Password=     ; Password required

[PageOneDirectAccess]                       ; England
Phone=+447623530300
Protocol=TAP
Baud=1200
Databits=7
Stopbits=1
Parity=EVEN
MsgType=ALPHANUMERIC
MsgLen=70
Password=001001
MaxMsg=3

[PageOneDirectCall]                       ; England
Phone=+449014900199
Protocol=TAP
Baud=1200
Databits=7
Stopbits=1
Parity=EVEN
MsgType=ALPHANUMERIC
MsgLen=70
Password=001001
MaxMsg=3

[Vodafone_UK]                      ; England
Phone=+447711436777
Phone=+447785499993
Protocol=TAP
Baud=9600
Databits=8
Stopbits=1
Parity=NONE
MsgType=ALPHANUMERIC
MsgLen=160

[Vodafone_Paging]                      ; England
Phone=+447659106366
MsgLen=80
Password=ACOA
Protocol=TAP
Databits=8
Stopbits=1
Parity=NONE
MaxMsg=1

[BT_Paging]                      ; England
Phone=+448457581354
Length=160
Protocol=TAP
Databits=7
Parity=EVEN
Stopbits=1
MaxMsg=1
Prefix=+4476
AdcOutFilter=/^(\+44|0044)([0-9]*)/0\2/

[Sonera]                          ; Finland
Phone=+358209801
Prefix=+3584892
Prefix=+35848910
Prefix=+35848911
Protocol=UCP
MsgLen=160
; if your modem isn't set to V.42/LAPM you must specify a pause after CONNECT
WaitAfterConnect=2              ; normaly not required
;ModemInit=AT+ES=3               ; V.42/LAPM required

[Airpage]                       ; Austria
Phone=+436883322111
Prefix=+43688
AdcOutFilter=/^(\+43688|0043688|0688)([0-9]*)/\2/
Databits=7
Parity=EVEN
Stopbits=1
Protocol=TAP
MsgLen=255
MaxMsg=2

[A1]                           ; Austria
Phone=+43900664914
MsgLen=160
Prefix=+43664
Prefix=+43676
AdcOutFilter=/^(\+|00)([0-9]*)/\2/
AdcOutFilter=/^(0)([0-9]*)/43\2/
Protocol=TAP
DataBits=7
Parity=EVEN
StopBits=1
MaxMsg=2

[Callme]                       ; Austria
Phone=+4366911
Protocol=TAP
Databits=7
Parity=EVEN
Stopbits=1
MsgLen=80
MaxMsg=2

[Callme_Pro]                       ; Austria
Phone=+43666&
Protocol=TAP
Databits=7
Parity=EVEN
Stopbits=1
MsgLen=80
MaxMsg=2

[AT]            ; Austria
Phone=+43800201224
Phone=+43800201267
Protocol=ES201912_1
LineType=ISDN
B1PROTOCOL=64K-TRANS
B2PROTOCOL=TRANS
B3PROTOCOL=TRANS
CIP=3.1KHZ-AUDIO
ProtocolTimeout=5
Transtable=ctt/gsm.ctt
PREFIX=+43
AdcOutFilter=/^(\+43|0043)([0-9]*)/0\2/

[TeleDanmark]                   ; Danmark
Phone=+4543625250
Prefix=+45400
Prefix=+45401
Prefix=+45402
Prefix=+45403
Prefix=+45404
Prefix=+4520
Protocol=UCP[51]
MsgLen=160
MaxMsg=10
; if your modem isn't set to V.42/LAPM you must specify a pause after CONNECT
WaitAfterConnect=2              ; normaly not required
Transtable=ctt/tdm2.ctt
;ModemInit=AT+ES=3               ; V.42/LAPM required

[British_Telecom]            ; Fixed line
Phone=1709400
Protocol=ES201912_1
LineType=ISDN
B1Protocol=64K-TRANS
B2Protocol=TRANS
B3Protocol=TRANS
CIP=3.1KHZ-AUDIO
ProtocolTimeout=5
Transtable=ctt/gsm.ctt
Prefix=+44

[France_Telecom]            ; Fixed line
Phone=+3380910100
Protocol=ES201912_1
LineType=ISDN
B1Protocol=64K-TRANS
B2Protocol=TRANS
B3Protocol=TRANS
CIP=3.1KHZ-AUDIO
ProtocolTimeout=5
Transtable=ctt/gsm.ctt
Prefix=+336

[KPN_NL]                   ; Netherlands
PHONE=+31653141414
LineType=ISDN
PREFIX=+316
PROTOCOL=UCP
MSGLEN=160
MAXMSG=2

[KPN_NL]                   ; Netherlands
PHONE=+31653141414
PREFIX=+316
PROTOCOL=UCP
MSGLEN=160
MAXMSG=2
; if your modem isn't set to V.42/LAPM you must specify a pause after CONNECT
;WAITAFTERCONNECT=2              ; normaly not required
;ModemInit=AT+ES=3               ; V.42/LAPM required

[KPN_NL_Pager]                   ; Netherlands
PHONE=+31665181802
AdcOutFilter=/^(\+316651|00316651)([0-9]*)/06651\2/
PROTOCOL=UCP
MSGLEN=160
MAXMSG=2
; if your modem isn't set to V.42/LAPM you must specify a pause after CONNECT
;WAITAFTERCONNECT=2              ; normaly not required
ModemInit=AT+ES=1
Baud=9600
DataBits=8
StopBits=1
Parity=None

[Callmax]                       ; Netherlands
Phone=+31660141414
Prefix=+31660
AdcOutFilter=/^(\+31|0031|0)(660)([0-9]*)/\3/
Protocol=TAP
MsgLen=120
Databits=7
Stopbits=1
Parity=EVEN

[NL]            ; Netherland
Phone=+31673644444
Protocol=ES201912_1
LineType=ISDN
B1PROTOCOL=64K-TRANS
B2PROTOCOL=TRANS
B3PROTOCOL=TRANS
CIP=3.1KHZ-AUDIO
ProtocolTimeout=5
Transtable=ctt/gsm.ctt
PREFIX=+31
AdcOutFilter=/^(\+31|0031)([0-9]*)/0\2/

[TELIA]                         ; Sweden
Phone=+46740930100
Phone=+46740930000
Prefix=+4674
Protocol=UCP
MsgLen=160
MaxMsg=1
; if your modem isn't set to V.42/LAPM you must specify a pause after CONNECT
WaitAfterConnect=2              ; normaly not required
;ModemInit=AT+ES=3               ; V.42/LAPM required

[Europolitan]                   ; Sweden
Phone=+46708222901
Prefix=+46708
Prefix=+46709
Protocol=UCP
MsgLen=160
; if your modem isn't set to V.42/LAPM you must specify a pause after CONNECT
WaitAfterConnect=2              ; normaly not required
;ModemInit=AT+ES=3               ; V.42/LAPM required

[Comviq]                        ; Sweden
Phone=+46707119010
Prefix=+4670
AdcOutFilter=/^(\+|00)([0-9]*)/\2/
AdcOutFilter=/^(0)([0-9]*)/46\2/
Protocol=UCP
MsgLen=160
MaxMsg=1
; if your modem isn't set to V.42/LAPM you must specify a pause after CONNECT
WaitAfterConnect=2              ; normaly not required
;ModemInit=AT+ES=3               ; V.42/LAPM required

[Movistar]                    ; Spain
Phone=+34609001058
Protocol=UCP[51]
Prefix=+34609
MsgLen=160
MaxMsg=1

[Swisscom_Fix]            ; Fixed line
Phone=+4162210000
Protocol=ES201912_1
LineType=ISDN
B1Protocol=64K-TRANS
B2Protocol=TRANS
B3Protocol=TRANS
CIP=3.1KHZ-AUDIO
ProtocolTimeout=5
Transtable=ctt/gsm.ctt
Prefix=+4175
Prefix=+4179
Prefix=+4171
Prefix=+412
Prefix=+413
Prefix=+414
Prefix=+415
Prefix=+416
Prefix=+418
Prefix=+419

[Swisscom]        ; Switzerland (Natel D)
Phone=+41900900941
LineType=ISDN
Protocol=UCP[51]
;B2Protocol=9
;BDATALEN=256
Prefix=+4175
Prefix=+4176
Prefix=+4178      ; Orange
Prefix=+4179
MsgLen=160
MaxMsg=1

[Swisscom]			; Switzerland (Natel D)
Phone=+41900900941
Protocol=UCP[51]
Prefix=+4175
Prefix=+4176
Prefix=+4178      ; Orange
Prefix=+4179
MsgLen=160
MaxMsg=1
; if your modem isn't set to V.42/LAPM you must specify a pause after CONNECT
WaitAfterConnect=8              ; normaly not required
;ModemInit=AT+ES=3               ; V.42/LAPM required

[Swissphone]                      ; Switzerland
Phone=+41740900108
Phone=+41740900003
Prefix=+4174
Prefix=+4126
AdcOutFilter=/^(\+41|0041|0)(74|26)([0-9]*)/\3/
Protocol=TAP
MsgLen=80
; don't modify the following modem-settings
Databits=7
Stopbits=1
Parity=EVEN
;ModemInit=AT+ES=3               ; V.42/LAPM required

[Swissphone_UCP]                      ; Switzerland
Phone=+41740900108
Phone=+41740900103
Prefix=+4174
Prefix=+4126
AdcOutFilter=/^(\+41|0041|0)(74|26)([0-9]*)/\3/
Protocol=UCP
MsgLen=80
;ModemInit=AT+ES=3               ; V.42/LAPM required

[Swissphone]                      ; Switzerland
Phone=+41740900108
LineType=ISDN
Prefix=+4174
Prefix=+4126
AdcOutFilter=/^(\+41|0041|0)(74|26)([0-9]*)/\3/
Protocol=TAP
MsgLen=80

[Swissphone_UCP]                      ; Switzerland
Phone=+41740900108
LineType=ISDN
Prefix=+4174
Prefix=+4126
AdcOutFilter=/^(\+41|0041|0)(74|26)([0-9]*)/\3/
Protocol=UCP
MsgLen=80

[P+S]                           ; Iceland (Landssimi Islands)
Phone=+3549541010
Protocol=UCP
MsgLen=160
WaitAfterConnect=2              ; normaly not required
;ModemInit=AT+ES=3               ; V.42/LAPM required

[P+S_TAP]                           ; Iceland (Landssimi Islands)
Phone=+3545665395
Protocol=TAP
MsgLen=160

[Belgacom]            ; Fixed line
Phone=1717
Protocol=ES201912_1
LineType=ISDN
B1Protocol=64K-TRANS
B2Protocol=TRANS
B3Protocol=TRANS
CIP=3.1KHZ-AUDIO
ProtocolTimeout=5
Transtable=ctt/gsm.ctt
Prefix=+3247
Prefix=+3248
Prefix=+3249

[Proximus]                      ; Belgium
Phone=+32475161621
Protocol=TAPAIM
Prefix=+32473
Prefix=+32475
AdcOutFilter=/^(\+32|0032|0)([0-9]*)/\2/
MsgLen=160 

[Proximus]                 ; Belgium
Phone=+32475161621
LineType=ISDN
Protocol=TAPAIM
Prefix=+32473
Prefix=+32475
AdcOutFilter=/^(\+32|0032|0)([0-9]*)/\2/
MsgLen=160 

[Proximus]                      ; Belgium
PHONE=+32475161622
PROTOCOL=UCP
LineType=isdn
Password=proximus
Prefix=+32
MSGLEN=160 

[Proximus]                      ; Belgium
PHONE=+32475161622
PROTOCOL=UCP
LineType=isdn
Password=proximus
Prefix=+32
MSGLEN=160 

[Mobistar]                      ; Belgium
Phone=+32495955205
Protocol=UCP[30]
Prefix=+32495
MsgLen=160
MaxMsg=5
WaitAfterConnect=2              ; normaly not required
;ModemInit=AT+ES=3               ; V.42/LAPM required

[TeleNor]                       ; Norway
Phone=+4790002198
Protocol=UCP
Prefix=+47900
MsgLen=160
WaitAfterConnect=2              ; normaly not required
;ModemInit=AT+ES=3               ; V.42/LAPM required
MaxMsg=1

[NetCom]                       ; Norway
Phone=+4792000890
Protocol=TAP
Parity=EVEN
Databits=7
Stopbits=1
MsgLen=160
MaxMsg=20

[AZCOM]                        ; USA
Phone=+15207906418
Protocol=TAP
Baud=1200
Databits=7
Stopbits=1
Parity=EVEN

[VoiceStream]                  ; USA
Phone=+1918888830998             ; Modem from PBX Delete prefix 9 for POTS use
phone=+14253987440
Protocol=TAP
MsgLen=160
MaxMsg=10
MsgType=ALPHANUMERIC

[Sprint]                         ; USA
Phone=+18886561727		
Protocol=TAP
Prefix=913
MsgLen=100
MaxMsg=1
Baud=2400
Databits=7
Parity=EVEN

[PageNet]                  ; USA
Phone=+18007208398
Phone=+15134089999
Protocol=TAP
Databits=7
Parity=EVEN
Stopbits=1
MsgLen=235
MaxMsg=1

[SkyTel]                  ; USA
Phone=+18007596366
Phone=+16013600504
MsgLen=80
Protocol=TAP
Databits=7
Parity=EVEN
Stopbits=1

[PageMart]                  ; USA
Phone=+18008649499
MsgLen=80
Protocol=TAP
Databits=7
Parity=EVEN
Stopbits=1

[Mobilecomm]                  ; USA
Phone=+18009464644
MsgLen=80
Protocol=TAP
Databits=7
Parity=EVEN
Stopbits=1

[Airtouch]                  ; USA
Phone=+18003260038
MsgLen=80
Protocol=TAP
Databits=7
Parity=EVEN
Stopbits=1

[PageNewEngland]                  ; USA
Phone=+18006488233
MsgLen=80
Protocol=TAP
Databits=7
Parity=EVEN
Stopbits=1

[MobileMedia]                  ; USA
Phone=+18006225742
MsgLen=80
Protocol=TAP
Databits=7
Parity=EVEN
Stopbits=1

[USAMobile]                  ; USA
Phone=+18005899776
MsgLen=80
Protocol=TAP
Databits=7
Parity=EVEN
Stopbits=1

[MetroCall]                  ; USA
Phone=+18009171168
MsgLen=80
Protocol=TAP
Databits=7
Parity=EVEN
Stopbits=1

[ATTWirelessPCS]                  ; USA
PHONE=+18668837243
MsgLen=80
Protocol=TAP
Databits=7
Parity=EVEN
Stopbits=1

[NexTel]                  ; USA
Phone=+18013016683
Length=80
Library=TAP
Databits=7
Parity=EVEN
Stopbits=1

[Cellone]                  ; USA
Phone=+18888787727
Protocol=TAP
Databits=7
Parity=EVEN
Stopbits=1
MsgLen=150
MaxMsg=1

[Telus]                  ; USA
Phone=+14032532266
Protocol=TAP
Databits=7
Parity=EVEN
Stopbits=1
MsgLen=120
MaxMsg=1

[Telecel]                      ; Portugal
Protocol=UCP
Phone=+3519311449
MsgLen=160
Prefix=+351931
MaxMsg=1

[TMN]                      ; Portugal
Phone=+3519362113
Protocol=UCP
Prefix=+351936
MsgLen=160
MaxMsg=1

[Fido]                           ; Canada (Microcell)
Phone=+118883223436
MsgLen=160
Protocol=TAP
Databits=8
Stopbits=1
Parity=NONE
Protocol=TAP

[Bell_Mobility]                  ; Canada
Phone=+14162857267
Protocol=TAP
Databits=7
Parity=EVEN
Stopbits=1

[Nothern_Communication]                  ; Canada
Phone=+17054971694
Protocol=TAP
Databits=7
Parity=EVEN
Stopbits=1

[Canada_Telus]                  ; Canada
Phone=+14032532266
Protocol=TAP
Databits=7
Parity=EVEN
Stopbits=1

[ClearNet]                       ; Canada
Phone=+18300299
MsgLen=80
Protocol=TAP
Databits=7
Stopbits=1
Parity=EVEN

[Esat]                    ; Ireland
Phone=+353868525352
Protocol=TAP
Prefix=+35386
MsgLen=160
Baud=1200
MaxMsg=4

[Telecom_Paging]         ; New Zealand
Phone=+64264001283
MsgLen=80
Protocol=TAP
Databits=7
Parity=EVEN
Stopbits=1
MaxMsg=1

; !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
; MMS provider definitions
; !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

;[MM7]                       ; example for a provider using MM7
                              ; complete the empty fields with the setting you get from your provider
;MM7Schema=http://www.3gpp.org/ftp/Specs/archive/23_series/23.140/schema/REL-6-MM7-1-0
;protocoltimeout=20
;uri=/axis/services/MMSServiceSOAPPort
;;uri=/axis/services/MMSServiceSOAPPort   ; for incoming connections this parameter has to be set to /SendXMS/<provider name> (e.g. uri=/SendXMS/MM7)
;ChargedPartyID=ChargedPartyID
;ChargedParty=Sender
;Address=129.128.127.126 80
;;Detach=AcceptXME            ; for accepting incoming connections (for receiving MMS); set parameter Address to the correct address/port to listen for incoming connections
;LineType=TCP                 ; use this for a standard TCP connection
;LineType=SSL                 ; use this for a SSL connection
;MsgLen=102400
;Protocol=MM7
;Transtable=/dev/null
;ReconnectDelay=30
;VASPID=12345
;VASID=12345

;[EAIF]                       ; example for a provider using EAIF
                              ; complete the empty fields with the setting you get from your provider
;protocoltimeout=20
;uri=/axis/services/MMSServiceSOAPPort
;;uri=/axis/services/MMSServiceSOAPPort   ; for incoming connections this parameter has to be set to /SendXMS/<provider name> (e.g. uri=/SendXMS/EAIF)
;vaspid=eaif
;vasid=eaif
;ChargedPartyID=ChargedPartyID
;ChargedParty=Sender
;Address=129.128.127.126 80
;;Detach=AcceptXME            ; for accepting incoming connections (for receiving MMS); set parameter Address to the correct address/port to listen for incoming connections
;LineType=TCP
;MsgLen=102400
;Protocol=EAIF
;Transtable=/dev/null
;ReconnectDelay=30
;VASPID=12345
;VASID=12345

;[t-com_mms] ; Fixed Line MMS (Germany)
; service stopped 01.01.2009 by T-Com
;PLMN=262999  ; dummy
;Address=195.145.50.122 8799
;;Address=www.mms.t-com.de 8799
;URI=/mms
;LineType=PPP_TCP
;MsgLen=102400
;UserId=t-com/mms
;Password=mmsf
;Protocol=MM1
;Baud=57600
;Transtable=/dev/null
;PppPhone=+49191066730
;;Prefix=*

[d1_mms]
PLMN=26201
APN=mms.t-d1.de
Address=172.028.023.131 8008
URI=http://mms.t-mobile.de/servlets/mms
UserId=t-mobile
Password=mms
LineType=PPP_TCP
MsgLen=102400
Protocol=MM1
Transtable=/dev/null
Prefix=*

[d2_mms]
PLMN=26202
APN=event.vodafone.de
Address=139.007.029.017 80
URI=http://139.7.24.1/servlets/mms
UserId=vodafone
Password=live
LineType=PPP_TCP
MsgLen=102400
Protocol=MM1
Transtable=/dev/null
Prefix=*

[eplus_mms]
PLMN=26203
APN=mms.eplus.de
Address=212.023.097.153 5080
URI=http://mms/eplus
UserId=mms
Password=eplus
LineType=PPP_TCP
MsgLen=102400
Protocol=MM1
Transtable=/dev/null
Prefix=*

[o2_mms]
PLMN=26207
APN=wap.viaginterkom.de
Address=195.182.114.053
URI=http://10.81.0.7:8002
LineType=PPP_TCP
MsgLen=102400
Protocol=MM1
Transtable=/dev/null
Prefix=*

[Vodafone_UK_MMS]
PLMN=23415
APN=wap.vodafone.co.uk
Address=212.183.137.012
URI=http://mms.vodafone.co.uk/servlets/mms
LineType=PPP_UDP
MsgLen=102400
Protocol=MM1[WSP]
Transtable=/dev/null
Prefix=*

[Orange_UK_MMS]
PLMN=23433
PLMN=23434
APN=orangemms
Address=192.168.224.010
URI=http://mms.orange.co.uk/
LineType=PPP_UDP
MsgLen=102400
Protocol=MM1[WSP]
Transtable=/dev/null
Prefix=*

[O2_UK_MMS]
PLMN=23402
PLMN=23410
PLMN=23411
APN=wap.o2.co.uk
Address=193.113.200.195
URI=http://mmsc.mms.o2.co.uk:8002
UserId=o2wap
Password=password
LineType=PPP_UDP
MsgLen=102400
Protocol=MM1[WSP]
Transtable=/dev/null
Prefix=*

[T-Mobile_UK_MMS]
PLMN=23430
PLMN=23431
PLMN=23432
APN=general.t-mobile.uk
Address=149.254.211.010
URI=http://mmsc.t-mobile.co.uk:8002/
UserId=user
Password=one2one
LineType=PPP_UDP
MsgLen=102400
Protocol=MM1[WSP]
Transtable=/dev/null
Prefix=*

[PannonGSM_Hungary_MMS]
PLMN=21601
APN=mms
Address=193.225.154.022
URI=http://mmsc.pgsm.hu/
LineType=PPP_UDP
MsgLen=102400
Protocol=MM1[WSP]
Transtable=/dev/null
Prefix=*

[Vodafone_Hungary_MMS]
PLMN=21670
APN=mms.vodafone.net
Address=080.244.097.002
URI=http://mms.vodafone.hu/servlets/mms
LineType=PPP_UDP
MsgLen=102400
Protocol=MM1[WSP]
Transtable=/dev/null
Prefix=*

[Singapore_SingTel_MMS]
PLMN=52501
PLMN=52502
APN=e-ideas
Address=165.021.042.084
URI=http://mms.e-ideas.com.sg:10021/mmsc
UserId=65eideas
Password=eideas
LineType=PPP_UDP
MsgLen=102400
Protocol=MM1[WSP]
Transtable=/dev/null
Prefix=*

[Amena_Spain_MMS]
PLMN=21403
APN=amenamms
Address=172.022.188.025
URI=http://mms.amena.com/
UserId=MMS
Password=AMENA
LineType=PPP_UDP
MsgLen=102400
Protocol=MM1[WSP]
Transtable=/dev/null
Prefix=*

[Vodafone_Spain_MMS]
PLMN=21401
APN=mms.vodafone.net
Address=212.073.032.010
URI=http://mmsc.vodafone.es/servlets/mms
UserId=wap@wap
Password=wap125
LineType=PPP_UDP
MsgLen=102400
Protocol=MM1[WSP]
Transtable=/dev/null
Prefix=*

[Movistar_SPAIN_MMS]
PLMN=21407
APN=mms.movistar.es
Address=010.138.255.001
URI=http://mms.movistar.com
UserIdMOVISTAR@mms
Password=MOVISTAR
LineType=PPP_UDP
MsgLen=102400
Protocol=MM1[WSP]
Transtable=/dev/null
Prefix=*

[Ukrainian_Mobile_Communication_MMS]
PLMN=25501
APN=mms.umc.ua
Address=192.168.010.010
URI=http://mmsc:8002/
UserId=mms
Password=umc
LineType=PPP_UDP
MsgLen=102400
Protocol=MM1[WSP]
Transtable=/dev/null
Prefix=*

[Mobistar_Belgium_MMS]
PLMN=20610
APN=web.pro.be
Address=212.065.063.143
URI=http://mmsc.mobistar.be
UserId=mobistar
Password=mobistar
LineType=PPP_UDP
MsgLen=102400
Protocol=MM1[WSP]
Transtable=/dev/null
Prefix=*

[China_Mobile_MMS]
PLMN=46000
APN=cmwap
Address=010.000.000.172
URI=http://mmsc.monternet.com
LineType=PPP_UDP
MsgLen=102400
Protocol=MM1[WSP]
Transtable=/dev/null
Prefix=*

[TeliaSonera_Finland_MMS]
PLMN=24491
APN=wap.sonera.net
Address=195.156.025.033
URI=http://mms.sonera.fi:8002/
LineType=PPP_UDP
MsgLen=102400
Protocol=MM1[WSP]
Transtable=/dev/null
Prefix=*

[SmarTone_HK_MMS]
PLMN=45406
APN=smartone
Address=010.009.009.009
URI=http://mms.smartone.com.hk/server
LineType=PPP_UDP
MsgLen=102400
Protocol=MM1[WSP]
Transtable=/dev/null
Prefix=*

[Vodafone_Ireland_MMS]
PLMN=27201
APN=mms.vodafone.net
Address=010.024.059.200
URI=http://www.vodafone.ie/mms
UserId=dublin
Password=dublin
LineType=PPP_UDP
MsgLen=102400
Protocol=MM1[WSP]
Transtable=/dev/null
Prefix=*

[MTN_South_Africa_MMS]
PLMN=65510
APN=myMTN
Address=196.011.240.241
URI=http://mms.mtn.co.za/mms/wapenc
UserId=mtnmms
LineType=PPP_UDP
MsgLen=102400
Protocol=MM1[WSP]
Transtable=/dev/null
Prefix=*

[Cingular_USA_MMS]
PLMN=310150
PLMN=310170
PLMN=310410
APN=wap.cingular
Address=066.209.011.061
URI=http://mmsc.cingular.com/
UserId=WAP@CINGULARGPRS.COM
Password=CINGULAR1
LineType=PPP_UDP
MsgLen=102400
Protocol=MM1[WSP]
Transtable=/dev/null
Prefix=*

[T-Mobile_USA_MMS]
PLMN=310160
PLMN=310200
PLMN=310210
PLMN=310220
PLMN=310230
PLMN=310240
PLMN=310250
PLMN=310260
PLMN=310270
PLMN=310310
PLMN=310660
PLMN=310800
Address=216.155.165.50 8080
APN=epc.tmobile.com
URI=http://mms.msg.eng.t-mobile.com/mms/wapenc
LineType=PPP_TCP
MsgLen=102400
Protocol=MM1
Transtable=/dev/null
Prefix=*

[ATTWS_USA_MMS]
PLMN=310380
PLMN=310980
PLMN=310410
APN=proxy
Address=010.250.250.100
URI=http://mmsc.mobile.attwireless.net/
LineType=PPP_UDP
MsgLen=102400
Protocol=MM1[WSP]
Transtable=/dev/null
Prefix=*

[Etisalat_United_Arab_Emirates_MMS]
PLMN=42402
APN=mms
Address=010.012.000.030
URI=http:/mms/servlets/mms
UserId=mms
Password=mms
LineType=PPP_UDP
MsgLen=102400
Protocol=MM1[WSP]
Transtable=/dev/null
Prefix=*

[Bouygues_Telecom_France_MMS]
PLMN=20820
PLMN=20821
PLMN=20888
APN=mmsbouygtel.com
Address=062.201.137.017
URI=http://mms.bouyguestelecom.fr/mms/wapenc
LineType=PPP_UDP
MsgLen=102400
Protocol=MM1[WSP]
Transtable=/dev/null
Prefix=*

[TIM_Italy_MMS]
PLMN=22201
APN=mms.tim.it
Address=213.230.130.089 80
URI=http://mms.tim.it/servlets/mms
LineType=PPP_TCP
MsgLen=102400
Protocol=MM1
Transtable=/dev/null
Prefix=*

[Globe_Telecom_Ayala_Philippines_MMS]
PLMN=51502
APN=mms.globe.com.ph
Address=192.040.100.020 8080
URI=http://192.40.100.22:10021/mmsc
LineType=PPP_UDP
MsgLen=102400
Protocol=MM1[WSP]
Transtable=/dev/null
Prefix=*

[Vodafone_Egypt_MMS]
PLMN=60202
APN=mms.vodafone.com.eg
Address=163.121.178.002 8080
URI=http://mms.vodafone.com.eg/servlets/mms
UserId=mms
Password=mms
LineType=PPP_TCP
MsgLen=102400
Protocol=MM1
Transtable=/dev/null
Prefix=*
ProtocolTimeout=90

[Mobinil_Egypt_MMS]
PLMN=60201
APN=Mobinilmms
Address=62.241.155.45 8080
URI=http://10.7.13.24:8002
UserId=mms
Password=mms
LineType=PPP_TCP
MsgLen=102400
Protocol=MM1
Transtable=/dev/null
Prefix=*


; !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
; none SMS/MMS provider definitions
; !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

[DTMF]
Phone=&           ; define the access number of your pager service
Protocol=dtmf
LineType=ISDN
MaxMsg=1
B1Protocol=64K-TRANS
B2Protocol=TRANS
B3Protocol=TRANS
CIP=TELEPHONY
MsgLen=20
WaitAfterConnect=1

[DTMF]
Phone=&           ; define the access number of your pager service
Protocol=DTMF
Baud=57600
MaxMsg=1
MSGLEN=20
WaitAfterConnect=1

[UUS]
Phone=&
LineType=ISDN
Protocol=UUS
B1Protocol=64K-TRANS
B2Protocol=TRANS
B3Protocol=TRANS
CIP=TELEPHONY
MsgLen=32
Transtable=ctt/ia5.ctt

[VOICE]
Phone=&
LineType=ISDN
Protocol=VOICE
B1Protocol=64K-TRANS
B2Protocol=TRANS
B3Protocol=TRANS
CIP=TELEPHONY
Baud=57600

[VOICE]
Phone=&
Protocol=VOICE
Baud=38400
